// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {
    
ServerEvents.recipes(event => {
    let dyes = ['red', 'orange', 'yellow', 'green', 'lime', 'blue', 'light_blue', 'cyan', 'purple', 'magenta', 'pink', 'brown', 'black', 'gray', 'light_gray', 'white']
    dyes.forEach(i => {
        let incompleteConductorCap = `railways:${i}_incomplete_conductor_cap`
        event.remove(`railways:sequenced_assembly/${i}_conductor_cap`)
        event.recipes.create.sequenced_assembly([
            Item.of(`railways:${i}_conductor_cap`, 1)
        ], `minecraft:${i}_wool`, [
            event.recipes.create.cutting(incompleteConductorCap, [incompleteConductorCap]),
            event.recipes.create.deploying(incompleteConductorCap, [incompleteConductorCap, 'kubejs:andesite_mechanism']),
            event.recipes.create.deploying(incompleteConductorCap, [incompleteConductorCap, 'minecraft:string'])
        ]).transitionalItem(incompleteConductorCap).loops(1).id(`bttk:sequenced_assembly/railways_${i}_conductor_cap`)
    
    })
})